#include <omp.h>
#include <iostream>
using namespace std;

// g++ algo_simple_1.cpp -o algo_simple_1 -fopenmp

int main ()  
{
   int nthreads = 8;
   omp_set_num_threads(nthreads);

   int sum = 0;
   
   #pragma omp parallel
   { 	
	int tmp = sum + omp_get_thread_num();	
	cout << "Hello " << tmp << endl;
	sum = tmp;
   }  

   cout << "all done, with hopefully sum = " << ((nthreads-1)*nthreads)/2 << " and the sum is : " << sum << endl;
return 0;
}

 
// #pragma omp parallel reduction(+:sum)
