#include <omp.h>
#include <iostream>
using namespace std;
 
// g++ algo_simple_2.cpp -o algo_simple_2 -fopenmp

int main ()  
{
   int nthreads = 8;
   omp_set_num_threads(nthreads);

   #pragma omp parallel
   {
   #pragma omp for
   for(int i=0; i < 10; i++)
	{
   	int id = omp_get_thread_num();
	cout << "Hello World from thread = " << id << " with i = " << i << endl;
	}	

   }
   cout << "all done, with hopefully " << nthreads << " threads" << endl;
return 0;
}

 

