#include <omp.h>
#include <iostream>
using namespace std;

// g++ algo_simple_3.cpp -o algo_simple_3 -fopenmp

int main ()  
{
   int nthreads = 8;

   double sum = 0;
   double tab[]= { 1, 2, 3.14, 5, 2, 9, 0.1, 10, 11};
   
   for( int i=0; i<sizeof(tab)/sizeof(double); i++)
	   sum += tab[i];

   cout << "With only one process, sum is : " << sum << endl;
   sum = 0;
   
   omp_set_num_threads(nthreads);
   #pragma omp parallel for reduction(+:sum)
	for( int i=0; i<sizeof(tab)/sizeof(double); i++)
	   sum += tab[i]; 
  
   cout << "With " << nthreads << "  threads, the sum is : " << sum << endl;
return 0;
}

 

