#include <omp.h>
#include <iostream>
using namespace std;

// g++ hello_par_2.cpp -o hello_par_2 -fopenmp

int main ()  
{
   int nthreads = 8;
   omp_set_num_threads(nthreads);

   #pragma omp parallel
   {
	
	int id = omp_get_thread_num();
	// #pragma omp critical 
	cout << "Hello World from thread = " << id << " with " << omp_get_num_threads() <<  " threads" << endl;
		
	#pragma omp master
	{
		cout << "Only by master ! (id=" << id  << ")"<< endl;
	}
	
	#pragma omp single
	{
		cout << "Only executed one time! by id = " << id << endl;
	}
	  
   }  

   cout << "all done, with hopefully " << nthreads << " threads" << endl;
return 0;
}

 

